<?php
/**
 * Structure of pages and blocks.
 *
 * @package Flat101\Security
 */

use Flat101\Security\Model\Block\EmojiBlock;
use Flat101\Security\Model\Block\RestApiBlock;
use Flat101\Security\Model\Block\XmlRpcBlock;
use Flat101\Security\Model\Entity\Page;
use Flat101\Security\Model\Block\CommentBlock;

return array(

	// Main Page.
		new Page(
			'Flat 101 🚀 Security',
			__( 'Main', 'flat101-security' ),
			'main_options',
			array(
				new EmojiBlock(),
				new CommentBlock(),
			)
		),

	// Network Page.
		new Page(
			__( 'Network Options', 'flat101-security' ),
			__( 'Network', 'flat101-security' ),
			'network_options',
			array(
				new RestApiBlock(),
				new XmlRpcBlock(),
			)
		),
);
