<?php
/**
 * Plugin Name:     Flat 101 Security
 * Plugin URI:      https://bitbucket.org/flat101team/wp-flat101-security/src/main/
 * Description:     Base plugin to facilitate security adjustments
 * Author:          Flat 101
 * Author URI:      https://www.flat101.es
 * Text Domain:     flat101-security
 * Domain Path:     /languages
 * Version:         1.0
 *
 * @package Flat101\Security
 */

namespace Flat101\Security;

defined( 'WPINC' ) || die;
require_once __DIR__ . '/lib/autoload.php';

const PHP_MIN_VERSION = '5.6.20'; // https://en.wikipedia.org/wiki/PHP.
const WP_MIN_VERSION  = '4.1.0'; // https://make.wordpress.org/core/handbook/references/php-compatibility-and-wordpress-versions/.
const NAME            = 'Flat 101 Base';
const PREFIX          = 'flat101_security';
const CAPABILITY      = 'manage_options';
const SCRIPT          = __FILE__;

define( 'FLAT101_SECURITY_DIR', plugin_dir_path( __FILE__ ) );
define( 'FLAT101_SECURITY_URL', plugin_dir_url( __FILE__ ) );

define( 'FLAT101_SECURITY_CONFIG_DIR', FLAT101_SECURITY_DIR . 'config' . DIRECTORY_SEPARATOR );
define( 'FLAT101_SECURITY_PAGES_CONFIG_FILE', FLAT101_SECURITY_CONFIG_DIR . 'pages.config.php' );

App::init();
